## GdaVproviderHub

GdaVproviderHub — Virtual provider for connections based on other connection

## Stability Level

Stable, unless otherwise indicated

## Functions

GdaVirtualProvider * | gda_vprovider_hub_new ()

## Types and Values

struct | GdaVproviderHub

## Object Hierarchy

        GObject
        ╰── GdaServerProvider
            ╰── GdaSqliteProvider
                ╰── GdaVirtualProvider
                    ╰── GdaVproviderDataModel
                        ╰── GdaVproviderHub

## Description

This provider is used to create virtual connections which "incorporate" tables from other connections. This is typically used when one need to compare or migrate data from one database to the other by creating two connections for each database, and "binding" them into a third virtual connection using this provider.

Using `gda_virtual_connection_open()` with this provider as argument will generate a GdaVconnectionHub connection object, from which connections can be added.

## Functions

### gda_vprovider_hub_new ()

    GdaVirtualProvider *
    gda_vprovider_hub_new (void);

Creates a new GdaVirtualProvider object which allows one to add and remove GdaDataModel objects as tables within a connection

#### Returns

a new GdaVirtualProvider object.

## Types and Values

### struct GdaVproviderHub

    struct GdaVproviderHub;

## See Also

See also the introduction to virtual connections